Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
agora::rtc::IMediaStreamingSourceEx Class Referenceabstract

`#include <media_streaming_source_i.h>`

Inherits agora::rtc::IMediaStreamingSource.

## Public Member Functions
virtual agora_refptr< IAudioEncodedFrameSender > | getEncodedAudioFrameSender ()=0
virtual agora_refptr< IVideoEncodedImageSender > | getEncodedVideoFrameSender ()=0
Public Member Functions inherited from agora::rtc::IMediaStreamingSource
virtual | ~IMediaStreamingSource ()
virtual int | open (const char *url, int64_t start_pos, bool auto_play=true)=0
virtual int | close ()=0
virtual int | getSourceId () const =0
virtual bool | isVideoValid ()=0
virtual bool | isAudioValid ()=0
virtual int | getDuration (int64_t &duration)=0
virtual int | getStreamCount (int64_t &count)=0
virtual int | getStreamInfo (int64_t index, media::base::PlayerStreamInfo *out_info)=0
virtual int | setLoopCount (int64_t loop_count)=0
virtual int | play ()=0
virtual int | pause ()=0
virtual int | stop ()=0
virtual int | seek (int64_t new_pos)=0
virtual int | getCurrPosition (int64_t &pos)=0
virtual STREAMING_SRC_STATE | getCurrState ()=0
virtual int | appendSeiData (const InputSeiData &inSeiData)=0
virtual int | registerObserver (IMediaStreamingSourceObserver *observer)=0
virtual int | unregisterObserver (IMediaStreamingSourceObserver *observer)=0
virtual int | parseMediaInfo (const char *url, media::base::PlayerStreamInfo &video_info, media::base::PlayerStreamInfo &audio_info)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Static Public Member Functions
static agora_refptr< IMediaStreamingSource > | Create (base::IAgoraService *agora_service)

## Protected Member Functions
virtual | ~IMediaStreamingSourceEx ()=default
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IMediaStreamingSourceEx()

virtual agora::rtc::IMediaStreamingSourceEx::~IMediaStreamingSourceEx | ( |  | ) |
| protectedvirtualdefault

## Member Function Documentation

## ◆ Create()

static agora_refptr< IMediaStreamingSource > agora::rtc::IMediaStreamingSourceEx::Create | ( | base::IAgoraService * | agora_service | ) |
| static

## ◆ getEncodedAudioFrameSender()

virtual agora_refptr< IAudioEncodedFrameSender > agora::rtc::IMediaStreamingSourceEx::getEncodedAudioFrameSender | ( |  | ) |
| pure virtual

## ◆ getEncodedVideoFrameSender()

virtual agora_refptr< IVideoEncodedImageSender > agora::rtc::IMediaStreamingSourceEx::getEncodedVideoFrameSender | ( |  | ) |
| pure virtual